---
updatedAt: 2025-06-12T21:07:23.000Z
agentTools:
  projectIndex: https://docs.beeteller.com/v1.0-international-pix/llms.txt
---

# Authenticate

The token must be used in "Authorization" header for every protected API endpoint using "Bearer" prefix. E.g.: "Authorization: Bearer YOUR_API_TOKEN"

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "international-pix",
    "version": "1.0-international-pix"
  },
  "servers": [
    {
      "url": "https://api-test.beeteller.com/pix-pos"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/authenticate/": {
      "post": {
        "summary": "Authenticate",
        "description": "The token must be used in \"Authorization\" header for every protected API endpoint using \"Bearer\" prefix. E.g.: \"Authorization: Bearer YOUR_API_TOKEN\"",
        "operationId": "authenticate",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "user",
                  "secret"
                ],
                "properties": {
                  "user": {
                    "type": "string",
                    "description": "Your API user"
                  },
                  "secret": {
                    "type": "string",
                    "description": "Your API secret token"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n\t  \"token\": \"YOUR_API_TOKEN\",\n    \"expiration\": \"2023-07-24T11:31:14.709Z\",\n    \"base_currency\": \"USD\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "token": {
                      "type": "string",
                      "example": "YOUR_API_TOKEN"
                    },
                    "expiration": {
                      "type": "string",
                      "example": "2023-07-24T11:31:14.709Z"
                    },
                    "base_currency": {
                      "type": "string",
                      "example": "USD"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Missing required fields": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Invalid auth params": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```